> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/hyperliquid/story-3/eth_gasprice-1.md).

# eth\_bigBlockGasPrice

returns the base fee for the next big block

#### **Parameters:**

None

#### **Returns:**

**QUANTITY** - integer of the current gas price in wei.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://hyperliquid.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_bigBlockGasPrice","params":[],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "result": "0x5f5e100",
    "id": 1
}
```

{% endcode %}
